- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# win_chocolatey_config – Manages Chocolatey config settings

New in version 2.7.

- Synopsis

- Parameters

- See Also

- Examples

- Status

## Synopsis

- Used to manage Chocolatey config settings as well as unset the values.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name string / required |  | The name of the config setting to manage. See https://chocolatey.org/docs/chocolatey-configuration for a list of valid configuration settings that can be changed. Any config values that contain encrypted values like a password are not idempotent as the plaintext value cannot be read.
state string | Choices: absent present ← | When `absent`, it will ensure the setting is unset or blank. When `present`, it will ensure the setting is set to the value of value.
value string |  | Used when `state=present` that contains the value to set for the config setting. Cannot be null or an empty string, use `state=absent` to unset a config value instead.

## See Also

See also

win_chocolatey – Manage packages using chocolatey

  The official documentation on the win_chocolatey module.

win_chocolatey_facts – Create a facts collection for Chocolatey

  The official documentation on the win_chocolatey_facts module.

win_chocolatey_feature – Manages Chocolatey features

  The official documentation on the win_chocolatey_feature module.

win_chocolatey_source – Manages Chocolatey sources

  The official documentation on the win_chocolatey_source module.

## Examples

    - name: Set the cache location
      win_chocolatey_config:
        name: cacheLocation
        state: present
        value: D:\chocolatey_temp

    - name: Unset the cache location
      win_chocolatey_config:
        name: cacheLocation
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Jordan Borean (@jborean93)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.